Subject: Re: GNU Win 32 compiler
From: [email-masked] (John Zhang)

27 Jul 1997 15:30:46 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (WinNT; I)
Original-To: Jim Olson <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Jim Olson wrote:

> I just acquired the "C++ in 24 hours" reference book which contains
> the
> the GNU Win 32 compiler.  To make a long story short, I download your
> cdk.exe file and installed the software on drive D: using a directory
> CPP.  The current structure looks like this D:\CPP\gnuwin32... etc.
> (using the rest of the install defaults)
>
> I added the set and path structures (to D: drive) as described in your
>
> FAQ into my autoexec.bat file and I also changed the mount points from
>
> C: to D: in all of the locations that are found in the registry.
>
> I also used the latest cygwin.dll in both place I found the old one.
>
> I added a bin and a tmp areas and even mounted them after a few tries
> before the mounting.
>
> I am trying to compile the simple hello world program and it fails
> with
> error of C:\windows\temp\cc0010001\blah blah undefined reference to
> 'cout'  A second error line (same as first) comes up for 'ostream'
>
> >From the error message location of c:\windows... it appears that
> there
> might still be some pointers looking at drive C: which might be the
> problem that is also causing my errors.
>
> I am at a loss on how to solve this problem.  Can you please help?
>
> Thanks you in advance.
>
> Barry
>
> ______________________________________________________
> Get Your Private, Free Email at http://www.hotmail.com
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

_____
Try adding "SET LIBRARY_PATH=D:\CPP\gnuwin32\b18\H-i386-cygwin32\lib" to
your autoexec.bat. Good luck!

Sincerely,
John Zhang
University of South Dakota

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".